#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int32_t int32_eq_const_0_0;
    int32_t int32_eq_const_1_0;
    int8_t int8_eq_const_2_0;
    int32_t int32_eq_const_3_0;
    int64_t int64_eq_const_4_0;
    int16_t int16_eq_const_5_0;
    int16_t int16_eq_const_6_0;
    int16_t int16_eq_const_7_0;
    int16_t int16_eq_const_8_0;
    int32_t int32_eq_const_9_0;

    if (size < 33)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int32_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&int32_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&int8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&int32_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&int64_eq_const_4_0, &data[i], 8);
    i += 8;
    memcpy(&int16_eq_const_5_0, &data[i], 2);
    i += 2;
    memcpy(&int16_eq_const_6_0, &data[i], 2);
    i += 2;
    memcpy(&int16_eq_const_7_0, &data[i], 2);
    i += 2;
    memcpy(&int16_eq_const_8_0, &data[i], 2);
    i += 2;
    memcpy(&int32_eq_const_9_0, &data[i], 4);
    i += 4;


    if (int32_eq_const_0_0 == -1407175075)
    if (int32_eq_const_1_0 == -486888525)
    if (int8_eq_const_2_0 == 38)
    if (int32_eq_const_3_0 == 740672507)
    if (int64_eq_const_4_0 == -7311705425871396768)
    if (int16_eq_const_5_0 == -18545)
    if (int16_eq_const_6_0 == 16252)
    if (int16_eq_const_7_0 == 10257)
    if (int16_eq_const_8_0 == -19867)
    if (int32_eq_const_9_0 == -2120426999)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
